/* ---------- ANIMACIONES ---------- */

.navbar-centered {
justify-content: center;
display: flex;
}

/* Sube over */
.sube{
	top: 0px;
	background-color: transparent ;
}
.sube:hover{
	transform: translate(0, -50px);
	transition-duration: 1s ;
	transition-timing-function: ease-in-out;
	/*background-color: #FFF ;*/
}
.desaparece{
	opacity: 1;
	/*background-color: rgba(255, 255, 255, 0.9) ;*/

}
.desaparece:hover{
	opacity: 0;
	transition-duration: 1s ;
	transition-timing-function: ease-in-out;
}



/* ---------- POSICIONES ---------- */
/* Arriva del otro */
.contenedor {
	position: relative;
}
.bloque-contenedor-200 {
	position: relative;
	height: 200px;
}
.bloque-contenedor-300 {
	position: relative;
	height: 300px;
}
.bloque-contenedor {
	position: relative;
	height: 450px;
}
.bloque-abajo {
	position: absolute;
	top: 0px;
	left: 0px;
	z-index:1;
	object-fit: cover;
	width: 100% ;
}
.bloque-arriva {
	position: absolute;
	top: 0px;
	left: 0px;
	z-index:2;
	width: 100% ;
}  



/* ---------- MARGENES ---------- */
.sinpadding [class*="col-"] {
	padding-left: 0px;
	padding-right: 0px;
}
.margen {
	padding: 10px;
}
.margen-5 {
	padding: 5px;
}
.margen-10 {
	padding: 10px;
}
.margen-20 {
	padding: 20px;
}



/* ---------- IMAGENES ---------- */
/* Cover */
.imagen-cover-50{
	object-fit: cover;
	height: 50px;
	}	
.imagen-cover-100{
	object-fit: cover;
	height: 100px;
	}		
.imagen-cover-200{
	object-fit:cover;
	height: 198px;
	}	
.imagen-cover-250{
	object-fit:cover;
	height: 250px;
	}					
.imagen-cover-300{
	object-fit:cover;
	height: 300px;
	}
.imagen-cover-350{
	object-fit:cover;
	height: 350px;
	}		
.imagen-cover-400{
	object-fit:cover;
	height: 400px;
	}			
.imagen-cover-500{
	object-fit:cover;
	height: 500px;
	}		
	/* Contain */
.imagen-contain-250{
	object-fit:contain;
	width: 100%;
	height: 250px;
	padding:15px;
	}	
.imagen-contain-200{
	object-fit:contain;
	width: 96% ;
	height: 198px;
	}



/* ---------- TAMAÑOS ---------- */
/* Altos */	
.alto-50{
	height: 50px;
}	
.alto-100{
	height: 100px;
}
.alto-150{
	height: 150px;
}
.alto-200{
	height: 200px;
}
.alto-250{
	height: 250px;
}
.alto-300{
	height: 300px;
}
.alto-350{
	height: 350px;
}
.alto-400{
	height: 400px;
}
.alto-450{
	height: 450px;
}
.alto-500{
	height: 500px;
}
/* Ancho */	
.ancho-50{
	width: 50px;
}	
.ancho-100{
	width: 100px;
}	

/* ---------- GENERALES ---------- */
.logo-flotante {
	max-width: 400px;
	position: absolute;
	margin: auto;
	top: -5px;
	left: 0px;
	width: 100%;
	z-index: 1000;
	} 
	/* Movil */
@media (max-width: 768px) {				
	.ocultar-movil{
		position: relative;
		display:none;
		}	
}		

@media (min-width: 768px) {			
	.mostrar-movil{
		position: relative;
		display:none;
		}
	}	

footer {
	background-image: url(imagenes/footer-fondo.png);
	background-repeat: repeat-x;
	background-position: bottom center;
	position: relative;

	}

.copy{
	padding-top: 10px;
	padding-bottom: 3px;
	}
.fondo-nau{
	background-color:#000;
	padding:10px;
	color:#FFF;
	}	


/* Contornos*/
.contorno{
	border-width: 1px;
	border-style: solid;
	border-color: #e1e1e1;
	}	

    
/* TEXTOS*/
.mayusculas {
	text-transform: uppercase;
	} 
.minusculas {
	text-transform: capitalize;
	} 	  
.texto-grande{
    font-size:50px;
	}	
.tipo{
	font-family: 'Noto Sans Display', sans-serif;
	}	
.tipo2{
	font-family: 'Noto Sans Display', sans-serif;
	}	
@font-face {
	font-family: fuente;
	src: url("../fuente.TTF") format("opentype");
	}



/* Sube suave el scroll */
html{
	scroll-behavior: smooth;
} 

.zoom {
	transition: transform 1s;
}
.zoom:hover {
    transform: scale(.98);
	box-shadow: 0px 5px 10px#00000083;
	border-width: 10px;
	border-style: solid;
	border-color: #FFF;
}
.whats-flotante{
	position: fixed;
	z-index: 200;
	right: 0px;
	bottom: 0px;
	padding: 15px;   
}
/* sigue */
.sigue {
	position: sticky;
	top: 0;
	z-index: 100;
	}


	

/* Sombras */
.link-sombra:hover {
	box-shadow: 0px 5px 10px#00000083;
	border-width: 1px;
	border-style: solid;
	transition: transform .9s;
}
.sombra {
	box-shadow: 0px 5px 5px#0000007c;
	}	
.sombra-texto {
	text-shadow:0px 3px 8px#0000007c;
	}


    
						


/* NEW ARRIBA IMAGEN */
.contenedor__item {
	position: relative;
	margin: auto;
	width: 100%;
}	
.contenedor__item:before {
	content: "";
	width: 100%;
	height: 100%;
	position: absolute;
	background: linear-gradient( rgba(255, 255, 255, 0) 50% ,rgba(0, 0, 0, 0));
}		
.contenedor__texto {
	position: absolute;
	top: 10px;
	left: 10px;
    padding: 5px;
}


.grises img {
	filter: url('#grayscale'); /* Versión SVG para IE10, Chrome 17, FF3.5, Safari 5.2 and Opera 11.6 */
	-webkit-filter: grayscale(100%);
	-moz-filter: grayscale(100%);
	-ms-filter: grayscale(100%);
	-o-filter: grayscale(100%);
	filter: grayscale(100%); /* Para cuando es estándar funcione en todos */
	filter: Gray(); /* IE4-8 and 9 */
	opacity:.3;
	
	-webkit-transition: all 0.5s ease;
	-moz-transition: all 0.5s ease;
	-ms-transition: all 0.5s ease;
	-o-transition: all 0.5s ease;
	transition: all 0.5s ease;
	}
	.grises img:hover {
	-webkit-filter: grayscale(0%);
	-moz-filter: grayscale(0%);
	-ms-filter: grayscale(0%);
	-o-filter: grayscale(0%);
	filter: none;
	opacity:1;
	
	-webkit-transition: all 0.5s ease;
	-moz-transition: all 0.5s ease;
	-ms-transition: all 0.5s ease;
	-o-transition: all 0.5s ease;
	transition: all 0.5s ease;
	}







/* GALERIA */ 
*{ 
        box-sizing: border-box;
        margin: 0;
        padding: 0;
     }
    .galeria{ 
        display: grid ;
        grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
        width: 100%;
        margin: auto;
        grid-gap: 0px;
        padding: 0;
        overflow: hidden;
    } 
    /*
    .galeria < a{ 
        display: block;
        position: relative;
        overflow: hidden;
        box-shadow: 0 0 6px rgba(0, 0, 0, .8);
    } 
    */
    .imagen-tops{
	object-fit: cover;
	width: 100%;
	height: 300px;
	background-position: center center;
  }
    .galeria-zoom{ 
        width: 100%;
        vertical-align: top;
        object-fit: contain;
    } 
    
    .light-box{ 
        position: fixed;
        top: 0;
        left: 0;
        background: rgba(0, 0, 0, .8);
        transition: transform .3s ease-in-out;
        width: 100%;
        height: 100vh;
        z-index: 1000;
        display: flex;
        justify-content: center;
        align-items: center;
        transform: scale(0);
    } 
    .light-box img{ 
        width: 90vw;
        max-height: 95vh;
    }   
    .light-box:target{ 
        transform: scale(1);
    }  
    .closee{ 
        display: block;
        position: absolute;
        top: 10px;
        right: 10px;
        background-color: #000000;
        padding: 0px 20px 5px 20px;
        color: #ffffff;
        text-decoration: none;
        transition: transform .3s ease-in-out;
        z-index:1000;
    }  
    .flechas{ 
        display: block;
        background-color: #000000;
        padding: 0px 20px 5px 20px;
        color: cornsilk;
        transition: transform .3s ease-in-out;
        text-align: center;
    }       
/* GALERIA */ 

/* BANNER ANIMACION */ 
.carousel-indicators {
  position: absolute;
  bottom: 0px;
  left: 0px;
  z-index: 100;
  width: 100%;
  padding-left: 0;
  margin-left: 0px;
  text-align: center;
  list-style: none;
}
.carousel-indicators {
  display: inline-block;
  width: 100%;
  height: 2px;
  margin: 0px;
  text-indent: -999px;
  cursor: pointer;
  background-color: #000 \9;
  border: 1px solid rgba(0, 0, 0, 0);
}
.carousel-indicators .active {
  width: 100%;
  height: 2px;
  margin: 0;
  border: 1px solid rgba(0, 0, 0, 0);
  animation-duration: 5s;
  animation-name: linea;
  animation-timing-function: ease-in-out;
}


.baner-izq{
	position: absolute;
	left: 0px;
	top:40%;
	z-index:200;
}
.baner-der{
	position: absolute;
	right: 0px;
	top:40%;
	z-index:200;
}
.contenedor{
	position: relative;
	right: 0px;
	z-index:0;
	height: 500px
}	  

